Subject: Re: v2.47.0-rc1 test failure on cygwin

From: Junio C Hamano <[email-masked]>
Date: Fri, 04 Oct 2024 09:09:01 -0700

Johannes Schindelin <[email-masked]> writes:

>> But unfortunately this still caused permission errors when the new path
>> was held open by another process.
>
> Yes, this will _always_ be a problem, I think. The
> `FILE_RENAME_POSIX_SEMANTICS` as per its documentation should help, but if
> it does not in your tests it might actually not quite work as advertised
> (wouldn't be the first time I encounter such an issue).
>
> I tried to read through the code (it's a lot!) to figure out whether there
> is potentially any situation when the `tables.list` file is opened but not
> closed immediately, but couldn't find any. Do you know off-hand of any
> such scenario?
>
>> I think for now I'd still lean into the direction of adding the !WINDOWS
>> prerequisite to the test and increasing timeouts such that I can
>> continue to investigate without time pressure.
>
> Let me bang my head against this problem for a little while longer. You
> might be right, though, that this is a thing we cannot fix in time for
> v2.47.0, which would be sad.

If you folks think it would help stabilizing the tentative fix, I am
open to the idea of delaying the 2.47 by a few days.  Currently the
2.47-final is scheduled on the 7th (Monday), but we can do 2.47-rc2
on that day instead, and move the final to 10th (Thu) or 11th (Fri)
[*].

Thanks, all, for working together.

[Footnote]

 * All dates are US/Pacific, 10:00 am